<% if (!hide) { %>
    <div id="<%= id %>" class="user-comment-item">

        <!-- comment block -->

        <div class="user-name">
            <div class="color" style="display: inline-block; background-color: <% if (usercolor!==null) { %><%=usercolor%><% } else { %> #cfcfcf <% } %>; " ></div><%= scope.getUserName(username) %>
        </div>
        <div class="user-date"><%=date%></div>
        <% if (quote!==null && quote!=='') { %>
        <div class="user-quote"><%=scope.getFixedQuote(quote)%></div>
        <% } %>
        <% if (!editText || scope.viewmode) { %>
            <div class="user-message" data-can-copy="true"><%=scope.pickLink(comment)%></div>
        <% } else { %>
            <div class="inner-edit-ct">
                <textarea class="msg-reply user-select" maxlength="maxCommLength"><%=comment%></textarea>
                <button class="btn normal dlg-btn primary btn-inner-edit" id="id-comments-change">textEdit</button>
                <button class="btn normal dlg-btn btn-inner-close">textCancel</button>
            </div>
        <% } %>

        <!-- replys elements -->

        <% if (replys.length) { %>
            <div class="reply-arrow img-commonctrl"></div>
            <% _.each(replys, function (item, index) { %>
                <div class="reply-item-ct" <% if (scope.viewmode && index==replys.length-1) { %>style="padding-bottom: 0;" <% } %>;>
                    <div class="user-name">
                        <div class="color" style="display: inline-block; background-color: <% if (item.get("usercolor")!==null) { %><%=item.get("usercolor")%><% } else { %> #cfcfcf <% } %>; " ></div><%= scope.getUserName(item.get("username")) %>
                    </div>
                    <div class="user-date"><%=item.get("date")%></div>
                    <% if (!item.get("editText")) { %>
                        <div class="user-message" data-can-copy="true"><%=scope.pickLink(item.get("reply"))%></div>
                        <% if (!scope.viewmode) { %>
                            <div class="btns-reply-ct">
                            <% if (item.get("editable")) { %>
                                <div class="btn-edit img-commonctrl" data-value="<%=item.get("id")%>"></div>
                                <div class="btn-delete img-commonctrl" data-value="<%=item.get("id")%>"></div>
                            <% } %>
                            </div>
                        <%}%>
                    <% } else { %>
                        <div class="inner-edit-ct">
                            <textarea class="msg-reply textarea-fix user-select" maxlength="maxCommLength"><%=item.get("reply")%></textarea>
                            <button class="btn normal dlg-btn primary btn-inner-edit btn-fix" id="id-comments-change">textEdit</button>
                            <button class="btn normal dlg-btn btn-inner-close">textClose</button>
                        </div>
                    <% } %>
                </div>
            <% }); %>
        <% } %>

        <!-- add reply button -->

        <% if (!showReply && !scope.viewmode) { %>
            <% if (replys.length) { %>
                <label class="user-reply" style="margin-left: 20px; margin-top: 5px;" role="presentation" tabindex="-1">textAddReply</label>
            <% } else { %>
                <label class="user-reply" role="presentation" tabindex="-1">textAddReply</label>
            <% } %>
        <% } %>

        <!-- edit buttons -->

        <% if (!editText && !lock && !scope.viewmode) { %>
            <div class="edit-ct">
                <% if (editable) { %>
                    <div class="btn-edit img-commonctrl"></div>
                    <div class="btn-delete img-commonctrl"></div>
                <% } %>
                <% if (resolved) { %>
                <div class="btn-resolve-check img-commonctrl" data-toggle="tooltip"></div>
                <% } else { %>
                <div class="btn-resolve img-commonctrl" data-toggle="tooltip"></div>
                <% } %>
            </div>
        <% } %>

        <!-- reply -->

        <% if (showReply) { %>
            <div class="reply-ct">
                <textarea class="msg-reply user-select" maxlength="maxCommLength"></textarea>
                <button class="btn normal dlg-btn primary btn-reply" id="id-comments-change">textReply</button>
                <button class="btn normal dlg-btn btn-close">textClose</button>
            </div>
        <% } %>
        <% if (lock) { %>
            <div class="lock-area"></div>
            <div class="lock-author"><%=lockuserid%></div>
        <% } %>
        <% if (!last) { %>
            <div class="separator-cmt"></div>
        <% } %>
    </div>
<% } %>
